Skip to main content
`Ctrl`+`K`

# MatFactorClearError

clears the error code in a factorization

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorClearError(Mat mat)

Logically Collective

## Input Parameter

- mat - the factored matrix

## Note

This can also be called on non-factored matrices that come from, for example, matrices used in SOR.

## See Also

Matrices, `Mat`, `MatZeroEntries()`, `MatFactor()`, `MatGetFactor()`, `MatLUFactorSymbolic()`, `MatCholeskyFactorSymbolic()`, `MatFactorGetError()`, `MatFactorGetErrorZeroPivot()`, `MatGetErrorCode()`, `MatFactorError`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages